/* Sponsors Title Section */
.sponsors__title {
    margin-top: 5rem;
    color: var(--text-color);
}

.sponsors__title > div {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 1rem;
}

.sponsors__line {
    border: 1.5px solid var(--text-color);
    width: 60px;
    position: relative;
    transition: transform 0.5s ease-in-out;
    transform-origin: center;
}

.sponsors__line::before {
    content: "";
    position: absolute;
    top: -3rem;
    bottom: -3rem;
    left: 0;
    right: 0;
    background: transparent;
    cursor: pointer;
}

.sponsors__line:hover {
    transform: scaleX(5);
}
/* End of Sponsors Title Section */

.wrapper {
    margin-top: 2rem;
    width: 90%;
    max-width: 1536px;
    margin-inline: auto;
    height: 100px;
    position: relative;
    overflow: hidden;
    mask-image: linear-gradient(
        to right,
        rgba(0, 0, 0, 0),
        rgba(0, 0, 0, 1) 20%,
        rgba(0, 0, 0, 1) 80%,
        rgba(0, 0, 0, 0)
    );
}

@keyframes scrollLeft {
    to {
        left: -300px;
    }
}

@keyframes scrollRight {
    to {
        right: -300px;
    }
}

.itemLeft,
.itemRight {
    width: 300px;
    /* height: 100px; */
    /* background-color: #e11d48; */
    border-radius: 6px;
    position: absolute;
    animation-timing-function: linear;
    animation-duration: 30s;
    animation-iteration-count: infinite;
}

.itemLeft {
    left: max(calc(300px * 8), 100%);
    animation-name: scrollLeft;
}

.itemRight {
    right: max(calc(300px * 8), calc(100% + 300px));
    animation-name: scrollRight;
}

.item1 {
    animation-delay: calc(30s / 8 * (8 - 1) * -1);
}

.item2 {
    animation-delay: calc(30s / 8 * (8 - 2) * -1);
}

.item3 {
    animation-delay: calc(30s / 8 * (8 - 3) * -1);
}

.item4 {
    animation-delay: calc(30s / 8 * (8 - 4) * -1);
}

.item5 {
    animation-delay: calc(30s / 8 * (8 - 5) * -1);
}

.item6 {
    animation-delay: calc(30s / 8 * (8 - 6) * -1);
}

.item7 {
    animation-delay: calc(30s / 8 * (8 - 7) * -1);
}

.item8 {
    animation-delay: calc(30s / 8 * (8 - 8) * -1);
}
